For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
      • POSTCreate a tier group
      • GETList tier groups
      • PUTUpdate tier group
      • DELDelete tier group
      • GETGet tier group
      • GETList tiers
      • POSTCreate a tier
      • DELDelete tier
      • PUTUpdate tier
      • POSTAssign a tier
LogoLogo
Help CenterAPI KeysStatusSign In
LoyaltyTier

List tiers

GET
https://api.brevo.com/v3/loyalty/tier/programs/:pid/tiers
GET
/v3/loyalty/tier/programs/:pid/tiers
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.tier.getLoyaltyProgramTier("pid", {});
8}
9main();
1{
2 "items": [
3 {
4 "accessConditions": [
5 {
6 "balanceDefinitionId": "string",
7 "createdAt": "2024-01-15T09:30:00Z",
8 "minimumValue": 1,
9 "updatedAt": "2024-01-15T09:30:00Z"
10 }
11 ],
12 "createdAt": "2024-01-15T09:30:00Z",
13 "groupId": "string",
14 "imageRef": "string",
15 "loyaltyProgramId": "string",
16 "name": "string",
17 "tierId": "string",
18 "tierRewards": [
19 {
20 "createdAt": "2024-01-15T09:30:00Z",
21 "rewardId": "string",
22 "updatedAt": "2024-01-15T09:30:00Z"
23 }
24 ],
25 "updatedAt": "2024-01-15T09:30:00Z"
26 }
27 ]
28}
Returns the list of tiers defined within the loyalty program.
Was this page helpful?
Previous

Create a tier

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

pidstringRequiredformat: "uuid"
Loyalty Program ID

Query parameters

versionenumOptionalDefaults to draft
Select 'active' to retrieve list of all tiers which are live for clients. Select draft to retrieve list of all non deleted tiers.
Allowed values:

Response

Tier list successfully retrieved
itemslist of objects

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error